%define upstream_name    Module-Extract-VERSION
%define upstream_version 1.118

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extract a module version without running code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Tie::Hash::NamedCapture)
BuildRequires: perl(version)
BuildArch:  noarch

# Filter bogus provide for perl(ExtUtils::MakeMaker::_version) (rpm 4.9 onwards)
%global __provides_exclude ^perl\\(ExtUtils::MakeMaker::_version\\)

%description
This module lets you pull out of module source code the version number for
the module. It assumes that there is only one '$VERSION' in the file.

Class methods
    * $class->parse_version_safely( FILE );

      Given a module file, return the module version. This works just like
      'mldistwatch' in PAUSE. It looks for the single line that has the
      '$VERSION' statement, extracts it, evals it, and returns the result.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.118.0-1.mga10
+ Revision: 2141584
- update to 1.118

* Wed Feb 14 2024 tv <tv> 1.117.0-1.mga10
+ Revision: 2041266
- update to 1.117

* Thu Oct 27 2022 tv <tv> 1.116.0-1.mga9
+ Revision: 1899751
- update to 1.116

* Mon Mar 21 2022 umeabot <umeabot> 1.115.0-2.mga9
+ Revision: 1815939
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.115.0-1.mga9
+ Revision: 1767727
- update to 1.115

* Thu Feb 25 2021 tv <tv> 1.114.0-1.mga9
+ Revision: 1691408
- update to 1.114

* Wed Feb 12 2020 umeabot <umeabot> 1.113.0-4.mga8
+ Revision: 1505202
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.113.0-3.mga7
+ Revision: 1284787
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.113.0-2.mga7
+ Revision: 1165547
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.113.0-1.mga7
+ Revision: 1157447
- update to 1.113

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-9.mga6
+ Revision: 1030003
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-8.mga6
+ Revision: 947397
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-7.mga5
+ Revision: 746731
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.10.0-6.mga5
+ Revision: 735703
- add exclude

* Sat Sep 27 2014 tv <tv> 1.10.0-5.mga5
+ Revision: 727671
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 685426
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 512986
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 369794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 107073
- update to 1.01

* Tue Jan 18 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 22640
- cleaning spec file
- imported package perl-Module-Extract-VERSION

